Update ModelProvider Status Fields

View as Markdown
Update status-related fields of a model provider. This endpoint supports partial updates for fields managed by Models Controller: - model_deployment_id - served_models - status - status_message If status is provided without status_message, status_message will be set to empty string.

Path parameters

workspacestringRequired
namestringRequired

Request

This endpoint expects an object.
model_deployment_idstringOptional<=255 characters
Reference to the ModelDeployment ID if this provider is associated with a deployment
served_modelslist of objectsOptional
List of models served by this provider with routing information for IGW
statusenumOptional
Status of the model provider
status_messagestringOptional<=1000 characters

Status message. If status is provided without status_message, defaults to empty string.

Response

Update status-related fields of a model provider

namestringformat: "^[\w\-.]+$"<=255 characters

Name of the entity. Name/workspace combo must be unique across all entities. Allowed characters: letters (a-z, A-Z), digits (0-9), underscores, hyphens, and dots.

workspacestringformat: "^[\w\-.]+$"<=255 characters

The workspace of the entity. Allowed characters: letters (a-z, A-Z), digits (0-9), underscores, hyphens, and dots.

created_atdatetime
The timestamp of model entity creation
updated_atdatetime
The timestamp of the last model entity update
host_urlstring<=2048 characters
The network endpoint URL for the model provider
idstring
Unique identifier for the model provider
projectstringformat: "^[\w\-./]+$"<=255 characters
The URN of the project associated with this entity.
descriptionstring<=1000 characters
Optional description of the model provider
api_key_secret_namestring<=255 characters
Reference to the API key stored in Secrets service
served_modelslist of objects
List of models served by this provider with routing information for IGW
enabled_modelslist of strings
Optional list of specific models to enable from this provider. If not set, all discovered models are enabled.
statusenumDefaults to UNKNOWN
Current status of the model provider, populated by models service
status_messagestring<=1000 charactersDefaults to
Detailed status message, populated by models service
default_extra_bodymap from strings to any
Default body parameters for inference requests. Can be overridden by user requests.
default_extra_headersmap from strings to strings
Default headers for inference requests. Can be overridden by user requests.
required_extra_bodymap from strings to any
Required body parameters for inference requests. Cannot be overridden by user requests.
required_extra_headersmap from strings to strings
Required headers for inference requests. Cannot be overridden by user requests.
model_deployment_idstring<=255 characters

Optional reference to the ModelDeployment ID if this provider was auto-created for a deployment

auth_contextobject
Auth context captured at provider creation.
auth_header_formatstring<=1024 characters

Jinja2 template string controlling how the API key secret is sent to the upstream. Must contain exactly one variable named auth_secret, which is substituted with the resolved secret value at request time. Example: 'X-Api-Key: {{ auth_secret }}'. If not set, defaults to 'Authorization: Bearer {{ auth_secret }}'.

Errors

422
Unprocessable Entity Error